curl --request PATCH \
--url https://api.instantly.ai/api/v2/lead-labels/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "Hot Lead",
"interest_status_label": "positive",
"description": "Used for marking high-priority leads",
"use_with_ai": false
}
'import requests
url = "https://api.instantly.ai/api/v2/lead-labels/{id}"
payload = {
"label": "Hot Lead",
"interest_status_label": "positive",
"description": "Used for marking high-priority leads",
"use_with_ai": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: 'Hot Lead',
interest_status_label: 'positive',
description: 'Used for marking high-priority leads',
use_with_ai: false
})
};
fetch('https://api.instantly.ai/api/v2/lead-labels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.patch("https://api.instantly.ai/api/v2/lead-labels/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"Hot Lead\",\n \"interest_status_label\": \"positive\",\n \"description\": \"Used for marking high-priority leads\",\n \"use_with_ai\": false\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/lead-labels/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'label' => 'Hot Lead',
'interest_status_label' => 'positive',
'description' => 'Used for marking high-priority leads',
'use_with_ai' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/lead-labels/{id}"
payload := strings.NewReader("{\n \"label\": \"Hot Lead\",\n \"interest_status_label\": \"positive\",\n \"description\": \"Used for marking high-priority leads\",\n \"use_with_ai\": false\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a082d0-3349-71bd-9e72-0c8771a1830c",
"timestamp_created": "2026-09-08T20:57:57.833Z",
"created_by": "01a082d0-3349-71bd-9e72-0c88017d24c6",
"organization_id": "01a082d0-3349-71bd-9e72-0c89e690f75c",
"label": "Hot Lead",
"interest_status_label": "positive",
"interest_status": 1,
"description": "Used for marking high-priority leads",
"use_with_ai": false
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Patch lead label
Requires one of the following scopes: lead-labels:update, lead-labels:all, all:update, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the item to update
"01a082d0-8412-76a5-9074-0780c0c667c5"
Body
Display label for the custom lead label
"Hot Lead"
Interest status label associated with this label
positive, negative, neutral "positive"
Detailed description of the custom lead label purpose
"Used for marking high-priority leads"
Whether this label should be used with AI features
false
Response
The updated Lead Label
A custom label for categorizing and managing leads
Unique identifier for the custom lead label
"01a082d0-3349-71bd-9e72-0c8771a1830c"
Timestamp when the custom lead label was created
"2026-09-08T20:57:57.833Z"
User ID of the creator of this label
"01a082d0-3349-71bd-9e72-0c88017d24c6"
Organization ID that owns this custom lead label
"01a082d0-3349-71bd-9e72-0c89e690f75c"
Display label for the custom lead label
"Hot Lead"
Interest status label associated with this label
positive, negative, neutral "positive"
Interest status associated with this label. This is generated automatically by us.
1
Detailed description of the custom lead label purpose
"Used for marking high-priority leads"
Whether this label should be used with AI features
false